/* -*- c-basic-offset: 4 indent-tabs-mode: nil -*-  vi:set ts=8 sts=4 sw=4: */

#include "ExternalProcessAction.h"

#include <QProcess>

#include <iostream>

ExternalProcessAction::ExternalProcessAction(QString processName,
					     QStringList args) :
    m_processName(processName),
    m_args(args)
{
}

ExternalProcessAction::~ExternalProcessAction()
{
}

QString
ExternalProcessAction::getName() const
{
    return QString("process: %1").arg(m_processName);
}

void
ExternalProcessAction::fire()
{
    std::cerr << "ExternalProcessAction(\"" << getName().toStdString() << "\")::fire"
              << std::endl;
    QProcess::startDetached(m_processName, m_args);
}

