/* -*- c-basic-offset: 4 indent-tabs-mode: nil -*-  vi:set ts=8 sts=4 sw=4: */

#ifndef _EXTERNAL_PROCESS_ACTION_H_
#define _EXTERNAL_PROCESS_ACTION_H_

#include "Action.h"

#include <QStringList>

class ExternalProcessAction : public Action    
{
    Q_OBJECT

public:
    ExternalProcessAction(QString processName, QStringList args);
    virtual ~ExternalProcessAction();

    virtual QString getName() const;
    virtual void fire();

protected:
    QString m_processName;
    QStringList m_args;
};

#endif
