/* -*- c-basic-offset: 4 indent-tabs-mode: nil -*-  vi:set ts=8 sts=4 sw=4: */

#ifndef _IMAGE_ACTION_H_
#define _IMAGE_ACTION_H_

#include "Action.h"

class ImageAction : public Action    
{
    Q_OBJECT

public:
    ImageAction(QString imageName);
    virtual ~ImageAction();

    virtual QString getName() const;
    virtual void fire();

signals:
    void showImage(QString image);

protected:
    QString m_imageName;
    static QString m_currentImage;
};

#endif
