/* -*- c-basic-offset: 4 indent-tabs-mode: nil -*-  vi:set ts=8 sts=4 sw=4: */

#ifndef _IMAGE_WINDOW_H_
#define _IMAGE_WINDOW_H_

#include <QDialog>
#include <QString>

class QLabel;
class QPixmap;

class ImageWindow : public QDialog
{
    Q_OBJECT

public:
    virtual ~ImageWindow();

    static ImageWindow *getInstance();

public slots:
    void showImage(QString image);

protected:
    ImageWindow(QWidget *parent = 0);

    QString m_imageName;
    QLabel *m_label;
    QPixmap *m_pixmap;

    static ImageWindow *m_instance;
};

#endif

