/* -*- c-basic-offset: 4 indent-tabs-mode: nil -*-  vi:set ts=8 sts=4 sw=4: */

#include "Rule.h"

#include <iostream>
using std::cerr;
using std::endl;

Rule::~Rule()
{
    for (ActionList::const_iterator i = m_actions.begin(); i != m_actions.end(); ++i) {
        delete *i;
    }
}

void
Rule::addCondition(Condition condition)
{
    m_conditions.push_back(condition);
}

void
Rule::addAction(Action *action)
{
    m_actions.push_back(action);
}

